Package groovy.sql

## Class BatchingPreparedStatementWrapper

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.sql.BatchingStatementWrapper
    - - groovy.sql.BatchingPreparedStatementWrapper

- All Implemented Interfaces:
    `GroovyObject`, `java.lang.AutoCloseable`

      public class BatchingPreparedStatementWrapper
      extends BatchingStatementWrapper

  Class which delegates to a PreparedStatement but keeps track of a batch count size. If the batch count reaches the predefined number, this Statement does an executeBatch() automatically. If batchSize is zero, then no batching is performed.

- - ### Field Summary

    - ### Fields inherited from class groovy.sql.BatchingStatementWrapper

      `batchCount, batchSize, log, results`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchingPreparedStatementWrapper​(java.sql.PreparedStatement delegate, java.util.List<Tuple> indexPropList, int batchSize, java.util.logging.Logger log, Sql sql)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBatch​(java.lang.Object[] parameters)` |
    `void` | `addBatch​(java.util.List<java.lang.Object> parameters)` |

    - ### Methods inherited from class groovy.sql.BatchingStatementWrapper

      `addBatch, clearBatch, close, executeBatch, incrementBatchCount, invokeMethod, processResult, reset`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchingPreparedStatementWrapper

          public BatchingPreparedStatementWrapper​(java.sql.PreparedStatement delegate,
                                                  java.util.List<Tuple> indexPropList,
                                                  int batchSize,
                                                  java.util.logging.Logger log,
                                                  Sql sql)

  - ### Method Detail

    - #### addBatch

          public void addBatch​(java.lang.Object[] parameters)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public void addBatch​(java.util.List<java.lang.Object> parameters)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`